slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSJDSetConstCorrectionTol

If true, deactivates the dynamic stopping criterion (also called Newton) that sets the KSP relative tolerance to 0.5**i, where i is the number of EPS iterations from the last converged value.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSJDSetConstCorrectionTol(EPS eps,PetscBool constant)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| constant | - if false, the KSP relative tolerance is set to 0.5**i.

### Options Database Key

| -eps_jd_const_correction_tol | - Deactivates the dynamic stopping criterion.

### See Also

EPSJDGetConstCorrectionTol()

### Level

advanced

### Location

src/eps/impls/davidson/jd/jd.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages